Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-1019

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2008-1019
Last Modified 07 Mar 2011 10:05:48
Published 04 Apr 2008 01:44:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-1019

Summary

Heap-based buffer overflow in quickTime.qts in Apple QuickTime before 7.4.5 allows remote attackers to execute arbitrary code via a crafted PICT image file, related to an improperly terminated memory copy loop.

Vulnerable Systems

Application

  • Apple Quicktime 7.4.4


References

CERT - TA08-094A

SECUNIA - 29650

XF - quicktime-pict-records-bo(41609)

MISC - http://www.zerodayinitiative.com/advisories/ZDI-08-014

VUPEN - ADV-2008-1078

BID - 28583

BUGTRAQ - 20080403 ZDI-08-014: Apple Quicktime Multiple Opcode Memory Corruption Vulnerabilities

CONFIRM - http://support.apple.com/kb/HT1241

SECTRACK - 1019763

Related Patches

Apple 2008-04-02 QuickTime 7.4.5 for Panther

Apple 2008-04-02 QuickTime 7.4.5 for Leopard

Apple 2008-04-02 QuickTime 7.4.5 for Tiger


Last Updated: 27 May 2016 10:47:00